# 1.0.0.CR3 - "Santa Cruz"

## New and Noteworthy

- API cleanup, more deprecated methods removed
- Documentation extended and corrected
- MutableCacheEntry with fluent interface for better support with Java 8 lambdas
- FunctionalCacheLoader for use with Java 8 lambdas
- Switches to improve performance: `disableLastModificationTime`, `boostConcurrency`

## Potential breakages

Changes in semantics or API that may break existing applications are listed here. 
Modifications in the statistics output will not listed as breakage.

- API: More deprecated methods removed
- `Iterable` interface on `Cache` interface removed

## Fixes and Improvements

- expiry: optimize garbage collection after cache entry is evicted, potential memory leak
- fix for [#55: Exception in AsyncDispatcher.getLockObject if key.hashCode is negative](https://github.com/cache2k/cache2k/issues/55)

## Using this cache2k version

### For Java SE/EE environments

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-api</artifactId>
      <version>1.0.0.CR3</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-all</artifactId>
      <version>1.0.0.CR3</version>
      <scope>runtime</scope>
    </dependency>
````

### For Android

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-api</artifactId>
      <version>1.0.0.CR3</version>
    </dependency>
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-core</artifactId>
      <version>1.0.0.CR3</version>
      <scope>runtime</scope>
    </dependency>
````

### Using the JCache / JSR107 provider

````
    <dependency>
      <groupId>org.cache2k</groupId>
      <artifactId>cache2k-jcache</artifactId>
      <version>1.0.0.CR3</version>
    </dependency>
    <dependency>
      <groupId>javax.cache</groupId>
      <artifactId>cache-api</artifactId>
      <version>1.0.0</version>
    </dependency>
````
